/* ローディング */
.loading {
    position: fixed;
    inset: 0;
    background: var(--main-color);
    z-index: 99999;

    display: flex;
    justify-content: center;
    align-items: center;

    animation: loadingEnd 3s forwards;
}

@keyframes loadingEnd {
    0% {
        opacity: 1;
    }

    80% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        visibility: hidden;
    }
}

.loading img {
    transform-origin: bottom center;
    animation: sway 0.8s ease-in-out infinite;
}

.loading-text span {
    font-size: 16px;
}

@keyframes sway {
    0% {
        transform: rotate(-5deg);
    }

    50% {
        transform: rotate(5deg);
    }

    100% {
        transform: rotate(-5deg);
    }
}

.loading p {
    font-size: 25px;
    padding-left: 20px;
}

.loading-text span {
    opacity: 0;
    animation: fadeIn 0.5s forwards;
}

.loading-text span:nth-child(1) {
    animation-delay: 0s;
}

.loading-text span:nth-child(2) {
    animation-delay: 0.2s;
}

.loading-text span:nth-child(3) {
    animation-delay: 0.4s;
}

.loading-text span:nth-child(4) {
    animation-delay: 0.5s;
}

.loading-text span:nth-child(5) {
    animation-delay: 0.6s;
}

.loading-text span:nth-child(6) {
    animation-delay: 0.8s;
}

.loading-text span:nth-child(7) {
    animation-delay: 1.0s;
}

.loading-text span:nth-child(8) {
    animation-delay: 1.2s;
}

.loading-text span:nth-child(9) {
    animation-delay: 1.3s;
}

.loading-text span:nth-child(10) {
    animation-delay: 1.4s;
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

.header-inner {
    width: 100%;
    max-width: 1512px;
    margin: 0 auto;
    display: flex;
    align-items: center;
}

header h1 {
    padding-left: 20px;
}

.header ul {
    display: flex;
}

.header ul li {
    margin-left: 50px;
    margin-top: 40px;
    padding-bottom: 40px;

}

.header ul li:last-child {

    margin-top: 30px;
    margin-left: 180px;
}

.header ul li a {
    text-decoration: none;
    color: inherit;
    display: inline-block;

}

.header ul li a span {
    font-size: 24px;
    color: #1D9259;

}

.header ul li a:hover {
    color: #1D9259;
    transform: scale(1.1);
}

.header ul li:last-child a:hover {
    transform: translateY(-7px);
}

.header ul li a span:hover {
    color: #000000;
    transform: scale(1.1);

}

.KV {
    width: 100%;
    max-width: 1512px;
}

.KV-inner {
    width: 100%;
    max-width: 1512px;
    margin: 0 auto;
    display: flex;
}

.KV img {
    border-radius: 0 130px 130px 0;
    padding-top: 30px;

}

.KVtext {
    padding-top: 80px;
    padding-left: 80px;

}

.KVtext h2 {
    font-size: 24px;
    font-weight: 400;
    line-height: 52px;
}

.KVtext p {
    width: 350px;
    font-size: 14px;
    margin-top: 50px;
    line-height: 39px;
}

.KVbtn ul {
    list-style-type: none;
    margin-top: 20px;
    display: inline-block;
}

.KVbtn ul li {
    padding: 10px;
    margin: 20px;
}

.KVbtn ul li a {
    font-size: 18px;
    text-decoration: none;
    color: inherit;
    padding: 10px 20px;

    display: inline-block;
    width: 190px;
    text-align: center;

}

.KVbtn ul li:first-child a {
    background-color: #F6EFE0;
    border-radius: 13px;
    box-shadow: 2px 2px 8px rgb(0, 0, 0, 0.2);
}

.KVbtn ul li:last-child a {
    background-color: #ceec90;
    border-radius: 13px;
    box-shadow: 2px 2px 8px rgb(0, 0, 0, 0.2);
}

.KVbtn ul li a:hover {
    transform: scale(1.1);
}

.MV-inner {
    width: 100%;
    max-width: 1512px;
    margin: 100px auto 0;
    display: flex;
    position: relative;
}

.MVimg img {
    border-radius: 130px;
    transform: translateX(80px);
}

.MVtext {
    position: relative;
    z-index: 100;
}

.MVimg {
    position: relative;
    z-index: 1;
}

.MVtext p {
    font-size: 15px;

}

.anim-wobble.preview-box {
    animation: wobble 4.0s ease-in-out infinite;
}

@keyframes wobble {

    0%,
    100% {
        transform: translate(180px, 50px) rotate(0deg);
    }

    25% {
        transform: translate(180px, 50px) rotate(-5deg);
    }

    50% {
        transform: translate(180px, 50px) rotate(5deg);
    }

    75% {
        transform: translate(180px, 50px) rotate(-3deg);
    }
}

.MVtext img:first-child {
    z-index: 9999;
    position: relative;

}

.MVtext p {
    display: block;
    margin-left: 80px;
    margin-top: 60px;
    line-height: 39px;
    text-align: right;
}

.MVtext img:last-child {
    margin-left: 260px;
    margin-right: 30px;
    margin-top: 20px;

}

.concept-inner {
    width: 100%;
    max-width: 1512px;
    margin: 100px auto 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.conceptImg h2 {
    font-size: 28px;
    font-weight: nomal;
    padding-left: 120px;
}



.conceptImg h2 span {
    color: var(--sub-color)
}


.conceptImg img {
    border-radius: 150px;
    margin-right: 50px;
    margin-top: 50px;
}

.conceptText {
    font-size: 16px;
    line-height: 39px;
    margin-top: 110px;

}

.conceptText p:nth-of-type(3) {
    font-size: 22px;
}

.conceptText p:nth-of-type(3) span {
    color: var(--sub-color-3);
}

.conceptText p:nth-of-type(4) {
    font-size: 16px;
    text-align: right;
    margin-top: 10px;
}

.menu {
    background-color: var(--main-color);
    margin-top: 100px;
}

.menu-inner {
    width: 100%;
    max-width: 1512px;
    margin: 0 auto;
}

.menu-inner h2 {
    font-size: 28px;
    display: flex;
    justify-content: center;
    margin: 30px;
    padding-top: 80px;
}

.menu-inner p {
    text-align: center;
}

.menutitle ul {
    width: 60%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
    margin: 60px auto;
}

.menutitle ul li {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.7);
    box-shadow: 2px 1px 5px rgb(0, 0, 0, 0.2);
    font-size: 18px;
    /* font-weight: 700; */
    width: 200px;
    height: 200px;
    border-radius: 50%;
    margin: 0 auto;
    letter-spacing: 0.1em;
}

.menutitle ul li span {
    color: var(--sub-color-3);
    font-weight: 700;
}

.menutitle p {
    display: block;
    text-align: right;
    margin-right: 30px;
    padding-bottom: 50px;
}

.underline {
    text-decoration: underline;
    text-underline-offset: 10px;
}

.menutitle ul a:hover {
    transform: translateY(-10px);
}

.menutitle p a:hover {
    color: var(--sub-color-3);
}

.first-inner {
    width: 100%;
    max-width: 1512px;
    margin: 100px auto;
    display: flex;
    justify-content: center;
    gap: 50px;
}

.left h2 {
    font-size: 28px;
    text-align: center;
}

.left p {
    padding: 50px;
    text-align: center;
}

.left ul {
    display: flex;
}

.left ul li img {
    transform: translateY(80px);
}

.left ul li p {
    background-color: var(--main-color);
    border-radius: 19px;
}

.left ul li:first-child p {
    padding-bottom: 70px;
}

.left ul li span {
    color: var(--sub-color-3);
}

.right {
    margin-top: 50px;
}

.right h3 {
    display: block;
    margin-bottom: 20px;
}

.right01 {
    text-align: center;
    margin-bottom: 50px;
}

.right01 p span {
    color: var(--sub-color-3);
}

.right02 {

    text-align: center;
}

.right02 a {
    display: inline-block;
    margin-top: 30px;
    background-color: var(--sub-color);
    color: var(--main-color);
    padding: 20px 35px;
    border-radius: 13px;
    box-shadow: 2px 1px 5px rgb(0, 0, 0, 0.2);
}

.info-inner {
    width: 100%;
    max-width: 1512px;
    margin: 0 auto;
}

.info-inner h2 {
    font-size: 28px;
    display: flex;
    justify-content: center;
    margin: 30px;
    padding-top: 80px;
}

.info-inner p {
    text-align: center;
}

.info {
    background-image: url("../images/yoyakudot01.png"), url("../images/yoyakudot01.png");
    background-repeat: no-repeat, no-repeat;
    background-position: 20px 120px, 1000px 120px;
}

.reserve {
    max-width: 60%;
    margin: 50px auto 100px;
    padding: 0 80px 50px 80px;
    display: flex;
    justify-content: space-between;

    background-image: url("../images/yoyakuirasuto01.png"), url("../images/yoyakuirasuto02.png");
    background-repeat: no-repeat, no-repeat;
    background-position: left 50px, right 150px;
}

.reserve h3 {
    font-size: 28px;
    padding: 30px;
}

.reserve p {
    font-size: 14px;
}

.reserve p a {
    font-size: 20px;
    font-weight: 700;
    color: var(--sub-color);
    background-color: rgba(255, 255, 255, 0.51);
    box-shadow: 2px 1px 5px rgb(0, 0, 0, 0.2);
    border-radius: 13px;
    padding: 50px;
    margin-top: 40px;
    display: inline-block;
}

.reserve p a:hover {
    /* background-color: #1D9259E6; */
    /* color: #fff; */
    transform: scale(1.1);
}

.web {
    text-align: center;
}

.tel {
    text-align: center;
}

.time-access {
    display: flex;
    justify-content: space-between;
    gap: 100px;
    align-items: center;
}

.time {
    width: 50%;
}

table {
    width: 100%;
    max-width: 700px;
    table-layout: fixed;
    font-size: 18px;
    font-weight: nomal;

}

table th:first-child {
    width: 28%;
}

th,
td {
    text-align: center;
    padding: 10px 0;
    font-weight: normal;
}

table thead th {
    padding-bottom: 40px;

}

table thead tr th:first-child {
    color: var(--sub-color-3);
}


table thead tr {

    background-image: url("../images/sinryoudot.png");
    background-repeat: no-repeat;
    background-position: 0 40px;
}

.access {
    width: 50%;
}

.access p {
    display: block;
    text-align: right;
    padding-right: 75px;
    padding-bottom: 10px;
    color: var(--sub-color-3);
}

.access iframe {
    max-width: 100%
}

.backtotop {
    position: fixed;
    right: 2rem;
    bottom: 3rem;
    opacity: 0;
    visibility: visible;
    transition: all 0.6s ease;
    z-index: 10000;
}

.backtotop.show {
    opacity: 1;
    visibility: visible;
}


.backtotop a {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    background-color: var(--sub-color);
    text-decoration: none;
    border-radius: 50vh;
    font-size: 1.1rem;
}

.backtotop a:hover {
    color: #fff;
    background-color: #105232;
}

h2 img {
    transform: scale(0.7) translateY(-10px);
}

.menu-inner h2 img span {
    padding: 0 60px;
    display: block;
}

footer {
    display: flex;
    gap: 100px;
    padding-bottom: 60px;
    padding-top: 200px;
    background-image: url("../images/footerimg.png");
    background-repeat: no-repeat;
    background-size: cover;

}

footer .footerinfo {
    padding-left: 400px;
}

footer .footerinfo address {
    padding-top: 50px;
}

.footerinfo address p {
    line-height: 1.9;
    font-style: normal;
}

.footerinfo p small {
    padding-top: 50px;
    display: inline-block;
}

footer .footernav {
    padding-left: 100px;
    padding-top: 100px;
}

footer .footernav li {
    padding-bottom: 25px;
}

footer .footernav li a:hover {
    color: var(--sub-color);
    text-decoration: underline;
}

footer .sns {
    padding-left: 100px;
    padding-top: 100px;
    display: flex;
    gap: 30px;
}

footer .sns a {
    padding-top: 230px;
    display: inline-block;

}

footer .sns a:hover {
    transform: translateY(-10px);
}

/* アニメーション */
.fade-up {
    opacity: 0;
    transform: translateY(60px);
    transition: opacity 0.8s ease, transform 1.5s ease;
}

.fade-up.show {
    opacity: 1;
    transform: translateY(0);
}


.menutitle ul a:nth-child(1) li {
    transition-delay: 0s;
}

.menutitle ul a:nth-child(2) li {
    transition-delay: 0.2s;
}

.menutitle ul a:nth-child(3) li {
    transition-delay: 0.3s;
}

.menutitle ul a:nth-child(4) li {
    transition-delay: 0.4s;
}

.menutitle ul a:nth-child(5) li {
    transition-delay: 0.5s;
}

.menutitle ul a:nth-child(6) li {
    transition-delay: 0.6s;
}


/* スライドショー */
.slideshow {
    width: 100%;
    height: 90vh;
    position: relative;
    overflow: hidden;
}

.KV .slideshow img.active {
    opacity: 1 !important;
    z-index: 10;
}

.slideshow {
    width: 100%;
    height: 90vh;
    position: relative;
    overflow: hidden;
}

.slideshow img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;

    opacity: 0;
    z-index: 1;

    transition: opacity 4s;
}

.slideshow img.active {
    opacity: 1;
    z-index: 2;
}



/* =========================================
768px以下 レスポンシブ調整 追加修正版
========================================= */
@media screen and (max-width: 768px) {

    /* ---------- 共通 ---------- */
    html,
    body {
        overflow-x: hidden;
    }

    img {
        max-width: 100%;
        height: auto;
    }

    body {
        overflow-x: hidden;
    }

    /* ---------- header ---------- */
    .header-inner {
        flex-direction: column;
        padding: 20px;
    }

    .header ul {
        flex-wrap: wrap;
        justify-content: center;
        gap: 20px;
        margin-top: 20px;
        padding-left: 0;
    }

    .header ul li {
        margin: 0;
        padding-bottom: 0;
    }

    .header ul li:last-child {
        margin: 0;
    }

    /* ---------- KV ---------- */
    .KV {
        margin: 0 auto;
    }

    .KV-inner {
        flex-direction: column;
    }

    .KV img {
        border-radius: 0;
        padding-top: 0;
        height: 40vh;
    }

    .KVtext {
        padding: 40px 20px;
        text-align: center;
    }

    .KVtext h2 {
        font-size: 22px;
        line-height: 1.8;
    }

    .KVtext p {
        width: 100%;
        margin-top: 30px;
        line-height: 2;
    }

    .KVbtn ul {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 30px;
        padding-left: 0;
        margin-top: 50px;
    }

    .KVbtn ul li {
        margin: 0;
        padding: 0;
    }

    /* ---------- MV ---------- */
    .MV-inner {
        flex-direction: column;
        margin-top: 60px;
        padding: 0 20px;
    }



    .MVimg img {
        transform: none;
        border-radius: 50px;
    }

    .MVtext {
        text-align: center;
    }

    .MVtext img:first-child {
        /* transform: none; */
        margin-bottom: 20px;
    }

    .anim-wobble.preview-box {
        animation: wobble 4.0s ease-in-out infinite;
    }

    @keyframes wobble {

        0%,
        100% {
            transform: translate(0px, 0px) rotate(0deg);
        }

        25% {
            transform: translate(0px, 0px) rotate(-5deg);
        }

        50% {
            transform: translate(0px, 0px) rotate(5deg);
        }

        75% {
            transform: translate(0px, 0px) rotate(-3deg);
        }
    }

    .MVtext p {
        margin: 20px 0;
        text-align: center;
        line-height: 2;
    }

    .MVtext img:last-child {
        margin: 20px auto;
        display: block;
    }

    /* ---------- concept ---------- */
    .concept-inner {
        flex-direction: column;
        padding: 0 20px;
    }

    .conceptImg h2 {
        padding-left: 0;
        text-align: left;
        font-size: 16px;
        line-height: 1.8;
    }

    .conceptImg img {
        margin-right: 0;
        margin-top: 30px;
        border-radius: 60px;
    }

    .conceptText {
        margin-top: 40px;
        text-align: left;
        line-height: 2.2;
        font-size: 14px;
    }

    .conceptText p:nth-of-type(3) {
        font-size: 16px;
    }

    .conceptText p:nth-of-type(4) {
        text-align: right;
        font-size: 14px;
    }

    /* ---------- menu ---------- */
    .menu-inner {
        padding: 0 20px;
    }

    .menu-inner h2 {
        font-size: 22px;
        line-height: 1.8;
    }

    .menutitle ul {
        width: 100%;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
        padding-left: 0;
    }

    .menutitle ul li {
        width: 140px;
        height: 140px;
        font-size: 15px;
    }

    .menutitle p {
        text-align: center;
    }

    /* ---------- first ---------- */
    .first-inner {
        flex-direction: column;
        padding: 0 20px;
    }

    .left h2 {
        font-size: 22px;
    }

    .left p {
        padding: 30px 10px;
    }

    .left ul {
        flex-direction: column;
        align-items: center;
        padding-left: 0;
        gap: 26px;
    }

    .left ul li:first-child p {
        padding-bottom: 30px;
    }

    .left ul li img {
        transform: rotate(90deg);
        margin: 20px 0;
        height: 17px;
        width: 108px;
    }

    .right {
        margin-top: 0;
    }

    /* ---------- reserve ---------- */
    .info {
        background-size: 93% auto;
        background-position: 20px 0;
    }

    .reserve {
        max-width: 100%;
        flex-direction: column;
        padding: 30px 20px;
        background-size: 50% auto;
        background-image: none;
    }

    .web {
        background-image: url("../images/yoyakuirasuto01.png");
        background-repeat: no-repeat;
        background-size: auto 100%;
    }

    .tel {
        background-image: url("../images/yoyakuirasuto02.png");
        background-repeat: no-repeat;
        background-position: 60px 60px;
        background-size: 268px 183px;
    }

    .reserve h3 {
        font-size: 22px;
    }

    .reserve p a {
        padding: 25px;
        font-size: 18px;
    }

    /* ---------- time access ---------- */
    .time-access {
        flex-direction: column;
        gap: 50px;
        padding: 0 20px;
    }

    .time,
    .access {
        width: 100%;
    }

    table {
        font-size: 14px;
    }

    table th:first-child {
        width: 22%;
    }

    th,
    td {
        padding: 8px 0;
    }

    .access p {
        text-align: center;
        padding-right: 0;
    }

    .access iframe {
        width: 100%;
        height: 300px;
        margin-bottom: 80px;
    }

    /* ---------- footer ---------- */
    footer {
        flex-direction: column;
        gap: 50px;
        padding: 100px 20px 50px;
        text-align: center;
    }

    footer .footerinfo,
    footer .footernav,
    footer .sns {
        padding-left: 0;
        padding-top: 0;
    }

    footer .footernav ul {
        padding-left: 0;
    }

    footer .footernav li {
        padding-bottom: 15px;
    }

    footer .sns {
        justify-content: center;
        gap: 20px;
    }

    footer .sns a {
        padding-top: 0;
    }

    .footerinfo a {
        align-items: center;
        display: inline-block;
    }

    /* ---------- TOPボタン ---------- */
    .backtotop {
        right: 1rem;
        bottom: 1rem;
    }


    .slideshow {
        width: 100%;
        height: 40vh;
        position: relative;
        overflow: hidden;
    }
}